HttpFSAuthenticationFilter (Apache Hadoop HttpFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.http.server, class: HttpFSAuthenticationFilter

Package org.apache.hadoop.fs.http.server

# Class HttpFSAuthenticationFilter

java.lang.Object
org.apache.hadoop.security.authentication.server.AuthenticationFilter
org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter
org.apache.hadoop.fs.http.server.HttpFSAuthenticationFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

@Private public class HttpFSAuthenticationFilter extends org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter
Subclass of hadoop-auth `AuthenticationFilter` that obtains its configuration from HttpFSServer's server configuration.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONF_PREFIX`
  `static final String`
  `HADOOP_HTTP_CONF_PREFIX`

  ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

  `DELEGATION_TOKEN_SECRET_MANAGER_ATTR, PROXYUSER_PREFIX`

  ### Fields inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

  `AUTH_TOKEN_MAX_INACTIVE_INTERVAL, AUTH_TOKEN_VALIDITY, AUTH_TYPE, CONFIG_PREFIX, COOKIE_DOMAIN, COOKIE_PATH, COOKIE_PERSISTENT, SIGNATURE_SECRET, SIGNER_SECRET_PROVIDER, SIGNER_SECRET_PROVIDER_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpFSAuthenticationFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Properties`
  `getConfiguration(String configPrefix, javax.servlet.FilterConfig filterConfig)`
  Returns the hadoop-auth configuration from HttpFSServer's configuration.
  `protected org.apache.hadoop.conf.Configuration`
  `getProxyuserConfiguration(javax.servlet.FilterConfig filterConfig)`

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

  `doFilter, init, initializeAuthHandler, setAuthHandlerClass, setHandlerAuthMethod`

  ### Methods inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

  `constructSecretProvider, createAuthCookie, destroy, doFilter, getAuthenticationHandler, getConfiguration, getCookieDomain, getCookiePath, getMaxInactiveInterval, getRequestURL, getToken, getValidity, initializeSecretProvider, isCookiePersistent, isCustomSignerSecretProvider, isRandomSecret, verifyTokenType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONF_PREFIX

    public static final String CONF_PREFIX
    See Also:
      - Constant Field Values

  - ### HADOOP_HTTP_CONF_PREFIX

    public static final String HADOOP_HTTP_CONF_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HttpFSAuthenticationFilter

    public HttpFSAuthenticationFilter()

- ## Method Details

  - ### getConfiguration

    protected Properties getConfiguration(String configPrefix, javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException
    Returns the hadoop-auth configuration from HttpFSServer's configuration.

    It returns all HttpFSServer's configuration properties prefixed with `hadoop.http.authentication`. The `hadoop.http.authentication` prefix is removed from the returned property names.

    Overrides:
      `getConfiguration` in class `org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter`
    Parameters:
      `configPrefix` - parameter not used.
      `filterConfig` - parameter not used.
    Returns:
      hadoop-auth configuration read from HttpFSServer's configuration.
    Throws:
      `javax.servlet.ServletException`

  - ### getProxyuserConfiguration

    protected org.apache.hadoop.conf.Configuration getProxyuserConfiguration(javax.servlet.FilterConfig filterConfig)
    Overrides:
      `getProxyuserConfiguration` in class `org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter`